
Redmine - Patch #1146

Patch for protecting wiki pages (#851)

2008-04-29 22:00 - Mateo Murphy

Status: Closed Start date: 2008-04-29

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 0.8   

Description

I submitted this a while ago but I believe it got lost, as I didn't submit it as a separate ticket from the issue I was fixing. I've cleaned it

up so that it works on latest trunk

Related issues:

Related to Redmine - Feature #851: Locked wiki pages Closed 2008-03-14

Associated revisions

Revision 1415 - 2008-05-04 17:05 - Jean-Philippe Lang

Wiki page protection (#851, patch #1146 by Mateo Murphy with slight changes).

New permission added: protect wiki pages. Once a page is protected, it can be edited/renamed/deleted only by users who have this permission.

History

#1 - 2008-04-29 22:05 - Auriel Manolson

- Assignee set to Jean-Philippe Lang

Please do apply this patch, it would be very much appreciated

#2 - 2008-05-04 17:08 - Jean-Philippe Lang

- Category set to Wiki

- Status changed from New to Closed

- Target version set to 0.8

Patch committed in r1415 with slight changes.

I considered that a user without 'protect wiki pages' should not be able to delete or rename a protected page.

Thanks.
